/**
 * Created by abdulazizalonizi on 7/16/17.
 */
import java.util.Scanner;
public class Task4 {
    public static void main(String[] args) {
        Scanner kb = new Scanner(System.in);

        System.out.println("enter 4 word string");
        String s1 = kb.next();

        char c1 = s1.charAt(0);
        char c2 = s1.charAt(1);
        char c3 = s1.charAt(2);
        char c4 = s1.charAt(3);


        System.out.println(c1 + "-" + c2 + "-" + c3 + "-" + c4);


    }
}
